Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class SignalCommand

    java.lang.Object
      org.jbpm.command.SignalCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class SignalCommand

extends java.lang.Object
implements Command

Signals a token. After signalling the token is returned

Author:
  ??, Bernd Ruecker
See Also:
  Serialized Form

Constructor Summary
`SignalCommand()`
`SignalCommand(long tokenId, java.lang.String transitionName)`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)`
`java.lang.String` | `getExpectedStateName()`
`protected Token` | `getToken(JbpmContext jbpmContext)`
`long` | `getTokenId()`
`java.lang.String` | `getTransitionName()`
`java.util.Map` | `getVariables()`
`void` | `setExpectedStateName(java.lang.String expectedStateName)`
`void` | `setTokenId(long tokenId)`
`void` | `setTransitionName(java.lang.String transitionName)`
`void` | `setVariables(java.util.Map variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignalCommand

    public SignalCommand()

### SignalCommand

    public SignalCommand(long tokenId,
                         java.lang.String transitionName)

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)

  Specified by:
    `execute` in interface `Command`

### getToken

    protected Token getToken(JbpmContext jbpmContext)

### getTokenId

    public long getTokenId()

### setTokenId

    public void setTokenId(long tokenId)

### getTransitionName

    public java.lang.String getTransitionName()

### setTransitionName

    public void setTransitionName(java.lang.String transitionName)

### getVariables

    public java.util.Map getVariables()

### setVariables

    public void setVariables(java.util.Map variables)

### getExpectedStateName

    public java.lang.String getExpectedStateName()

### setExpectedStateName

    public void setExpectedStateName(java.lang.String expectedStateName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD